<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/*
	(c) MaxSite CMS, http://max-3000.com/
	Слайдер
	(c) http://sorgalla.com/jcarousel2/docs/
	
[slide]
text = текст с html без переносов
link = ссылка
img = адрес картинки
[/slide]

*/

// где выводить записи
$jcarousel2_output = (array) mso_get_option('jcarousel2_output', 'templates', array());

if (!$jcarousel2_output)  return; // ничего не отмечено - нигде не показывать

if (!in_array('all', $jcarousel2_output)) // не отмечено выводить везде
{
	if (!in_array(getinfo('type'), $jcarousel2_output)) return;
		elseif (mso_current_paged() > 1) return; // на страницах пагинации не показывать (или показывать?..)
}

// опции слайдера
$slides_def = '
[slide]
text = текст с html без переносов
link = http://maxsite.org/
img = TEMPLATE_URL/images/placehold/220x300.png
[/slide]

[slide]
text = текст с html без переносов
link = http://max-3000.com/
img = TEMPLATE_URL/images/placehold/220x300.png
[/slide]
';

$slides0 = mso_get_option('jcarousel2', 'templates', $slides_def);

if (!$slides0) return; // слайды не определены - выходим

$slides0 = str_replace('TEMPLATE_URL/', getinfo('template_url'), $slides0);

// ищем вхождение [slide] ... [slide]
// указываем дефолтные атрибуты полей слайдера
$slides = mso_section_to_array($slides0, '!\[slide\](.*?)\[\/slide\]!is', array('text'=>'', 'link'=>'', 'img'=>''));

if (!$slides) return; // нет секций - выходим

echo mso_load_jquery('jquery.jcarousel.js');
echo mso_load_jquery('jquery.easing.js');


if ($jcarousel2_autoscroll = mso_get_option('jcarousel2_autoscroll', 'templates', 2000))
{
	$jcarousel2_autoscroll = '.jcarouselAutoscroll({"interval": ' . $jcarousel2_autoscroll . '})';
}
else
{
	$jcarousel2_autoscroll = '';
}

$jcarousel2_wrap = mso_get_option('jcarousel2_wrap', 'templates', 'last');

$jcarousel2_animation = (int) mso_get_option('jcarousel2_animation', 'templates', 600);

$jcarousel2_easing = mso_get_option('jcarousel2_easing', 'templates', 'linear');

if ($jcarousel2_pagination = mso_get_option('jcarousel2_pagination', 'templates', 0))
{
	$jcarousel2_pagination = '$(".jcarousel2-pagination").jcarouselPagination();';
}
else
{
	$jcarousel2_pagination = '';
}

if ($jcarousel2_stop_on_hover = mso_get_option('jcarousel2_stop_on_hover', 'templates', 0))
{
	$jcarousel2_stop_on_hover = 'jcarousel2Block.hover(function () {
		jcarousel2Block.jcarouselAutoscroll("stop");
	},function () {
		jcarousel2Block.jcarouselAutoscroll("start");
	});';
}
else
{
	$jcarousel2_stop_on_hover = '';
}

echo '
<script>
$(function() {
	var jcarousel2Block = $(".jcarousel2");

	jcarousel2Block.jcarousel({
		"list": ".jcarousel2-list",
		"animation": 
			{
			"duration": ' . $jcarousel2_animation . ',
			"easing": "' . $jcarousel2_easing . '",
			},
		"wrap": "' . $jcarousel2_wrap . '", 
		})' . $jcarousel2_autoscroll . ';
	
	$(".prev").jcarouselControl({
        target: "-=1"
    });

    $(".next").jcarouselControl({
        target: "+=1"
    });

	' . $jcarousel2_stop_on_hover . '
	' . $jcarousel2_pagination . '
});
</script>
';

// формируем html-код слайдера
?>
<div class="jcarousel2-component"><div class="wrap">
	<div class="jcarousel2">
		<ul class="jcarousel2-list">
		<?php 
		
			foreach ($slides as $slide) 
			{
				if (!$slide['img']) continue; // не указана картинка
				
				$a1 = $a2 = '';
				
				if ($slide['link']) 
				{
					$a1 = '<a href="' . trim($slide['link']) . '">';
					$a2 = '</a>';
				}
				
				if ($slide['text']) 
				{
					$slide['text'] = '<p>' . trim($slide['text']) . '</p>';
				}
				
				echo '<li>' . $a1 . '<img src="' . $slide['img'] . '">' . $slide['text'] . $a2 . '</li>';
			}
		?>
		</ul>
	</div>
	
	<a href="#" class="prev">&lsaquo;</a><a href="#" class="next">&rsaquo;</a>
	
	<?php 
		if ($jcarousel2_pagination) echo '<div class="jcarousel2-pagination"></div>';
	?>
	
</div></div>
